import { NetToolBase } from "@egg/net-tool"

class AttachService extends NetToolBase {
  protected hostMap: Record<string, string> = {
    dev: "https://lark-egg-preview.ai.xiaomi.com",
    preview: "https://lark-egg-preview.ai.xiaomi.com",
    production: "https://lark-egg.ai.xiaomi.com",
  }

  /**
   * 监控CI状态
   * @param {string} chat_id - 聊天ID。
   * @returns {Promise<string>} 返回CI监控结果。
   */
  async ciMonitor(chat_id: string) {
    const URL = `https://lark-egg.ai.xiaomi.com/gitlab_monitor/ci?chat_id=${chat_id}`
    return this.get(URL).catch(() => "")
  }
}

export default AttachService
